package b4a.example;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class backup extends Activity implements B4AActivity{
	public static backup mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "b4a.example", "b4a.example.backup");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (backup).");
				p.finish();
			}
		}
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "b4a.example", "b4a.example.backup");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "b4a.example.backup", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (backup) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (backup) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return backup.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (backup) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (backup) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public b4a.example.cbtprinter _v5 = null;
public com.rootsoft.togglelibrary.ToggleLibrary _v6 = null;
public anywheresoftware.b4a.objects.PanelWrapper _ssp_main_panel = null;
public anywheresoftware.b4a.objects.LabelWrapper _ssp_pleasewait = null;
public anywheresoftware.b4a.objects.LabelWrapper _ssp_printing = null;
public anywheresoftware.b4a.objects.LabelWrapper _ssp_pressprint = null;
public anywheresoftware.b4a.objects.PanelWrapper _ssp_panel = null;
public anywheresoftware.b4a.objects.ButtonWrapper _ssp_cancelbutton = null;
public anywheresoftware.b4a.objects.ButtonWrapper _ssp_bluetoothconnect = null;
public anywheresoftware.b4a.objects.ButtonWrapper _ssp_printbutton = null;
public b4a.example.main _vvvvvvvvvvv2 = null;

public static void initializeProcessGlobals() {
             try {
                Class.forName(BA.applicationContext.getPackageName() + ".main").getMethod("initializeProcessGlobals").invoke(null, null);
            } catch (Exception e) {
                throw new RuntimeException(e);
            }
}
public static String  _activity_create(boolean _firsttime) throws Exception{
 //BA.debugLineNum = 26;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 28;BA.debugLine="Activity.LoadLayout(\"sReports\")";
mostCurrent._activity.LoadLayout("sReports",mostCurrent.activityBA);
 //BA.debugLineNum = 29;BA.debugLine="Activity.Title = \"BlueTooth Print - HP 100 Mobile";
mostCurrent._activity.setTitle((Object)("BlueTooth Print - HP 100 Mobile"));
 //BA.debugLineNum = 31;BA.debugLine="ToggleLib.Initialize";
mostCurrent._v6.Initialize(processBA);
 //BA.debugLineNum = 33;BA.debugLine="CreateScreen";
_vvvvvvvvvvvv0();
 //BA.debugLineNum = 34;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 48;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 50;BA.debugLine="If BTPrinter <> Null Then BTPrinter.Close";
if (mostCurrent._v5!= null) { 
mostCurrent._v5._vvvvvvvvvvv4();};
 //BA.debugLineNum = 51;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 36;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 37;BA.debugLine="ToggleLib.TurnBluetoothOn";
mostCurrent._v6.TurnBluetoothOn();
 //BA.debugLineNum = 39;BA.debugLine="sSP_PrintButton.Enabled      = False";
mostCurrent._ssp_printbutton.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 40;BA.debugLine="sSP_PrintButton.Visible      = False";
mostCurrent._ssp_printbutton.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 42;BA.debugLine="sSP_BluetoothConnect.Enabled = False";
mostCurrent._ssp_bluetoothconnect.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 43;BA.debugLine="sSP_BluetoothConnect.Visible = False";
mostCurrent._ssp_bluetoothconnect.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 45;BA.debugLine="BlueToothConnect";
_vvvvvvvvvvvvv1();
 //BA.debugLineNum = 46;BA.debugLine="End Sub";
return "";
}
public static String  _vvvvvvvvvvvvv1() throws Exception{
 //BA.debugLineNum = 88;BA.debugLine="Sub BlueToothConnect";
 //BA.debugLineNum = 89;BA.debugLine="sSP_PressPrint.Enabled  = False";
mostCurrent._ssp_pressprint.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 90;BA.debugLine="sSP_PressPrint.Visible  = False";
mostCurrent._ssp_pressprint.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 92;BA.debugLine="sSP_PleaseWait.Enabled  = True";
mostCurrent._ssp_pleasewait.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 93;BA.debugLine="sSP_PleaseWait.Visible  = True";
mostCurrent._ssp_pleasewait.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 94;BA.debugLine="sSP_PleaseWait.Text		= \"Trying to connect to prin";
mostCurrent._ssp_pleasewait.setText((Object)("Trying to connect to printer."+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (10)))+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (10)))+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (9)))+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (9)))+"Please Wait..."));
 //BA.debugLineNum = 96;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 //BA.debugLineNum = 102;BA.debugLine="BTPrinter.Initialize(\"Main\", \"PrinterConnected";
mostCurrent._v5._initialize(processBA,"Main","PrinterConnected");
 //BA.debugLineNum = 104;BA.debugLine="BTPrinter.Connect(\"\")";
mostCurrent._v5._vvvvvvvvvvv5("");
 //BA.debugLineNum = 105;BA.debugLine="End Sub";
return "";
}
public static String  _vvvvvvvvvvvv0() throws Exception{
int _i = 0;
 //BA.debugLineNum = 238;BA.debugLine="Sub CreateScreen";
 //BA.debugLineNum = 239;BA.debugLine="Dim i               As Int";
_i = 0;
 //BA.debugLineNum = 241;BA.debugLine="sSP_Main_Panel.Left      	= 0dip";
mostCurrent._ssp_main_panel.setLeft(anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (0)));
 //BA.debugLineNum = 242;BA.debugLine="sSP_Main_Panel.Width		= 100%x";
mostCurrent._ssp_main_panel.setWidth(anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA));
 //BA.debugLineNum = 244;BA.debugLine="sSP_Main_Panel.Top       	= 0dip";
mostCurrent._ssp_main_panel.setTop(anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (0)));
 //BA.debugLineNum = 245;BA.debugLine="sSP_Main_Panel.Height      	= 100%y";
mostCurrent._ssp_main_panel.setHeight(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (100),mostCurrent.activityBA));
 //BA.debugLineNum = 247;BA.debugLine="sSP_Panel.Left      		= 10dip";
mostCurrent._ssp_panel.setLeft(anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (10)));
 //BA.debugLineNum = 248;BA.debugLine="sSP_Panel.Width				= sSP_Main_Panel.Width - 20dip";
mostCurrent._ssp_panel.setWidth((int) (mostCurrent._ssp_main_panel.getWidth()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (20))));
 //BA.debugLineNum = 250;BA.debugLine="sSP_Panel.Top       		= 10dip";
mostCurrent._ssp_panel.setTop(anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (10)));
 //BA.debugLineNum = 251;BA.debugLine="sSP_Panel.Height      		= sSP_Main_Panel.Heigh";
mostCurrent._ssp_panel.setHeight((int) (mostCurrent._ssp_main_panel.getHeight()-anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (20))));
 //BA.debugLineNum = 254;BA.debugLine="sSP_PressPrint.Top		  	= (sSP_Panel.Height - sSP_";
mostCurrent._ssp_pressprint.setTop((int) ((mostCurrent._ssp_panel.getHeight()-mostCurrent._ssp_pressprint.getHeight())/(double)2));
 //BA.debugLineNum = 255;BA.debugLine="sSP_PressPrint.Left		  	= (sSP_Panel.Width  - sSP";
mostCurrent._ssp_pressprint.setLeft((int) ((mostCurrent._ssp_panel.getWidth()-mostCurrent._ssp_pressprint.getWidth())/(double)2));
 //BA.debugLineNum = 257;BA.debugLine="sSP_PleaseWait.Top		  	= (sSP_Panel.Height - sSP_";
mostCurrent._ssp_pleasewait.setTop((int) ((mostCurrent._ssp_panel.getHeight()-mostCurrent._ssp_pleasewait.getHeight())/(double)2));
 //BA.debugLineNum = 258;BA.debugLine="sSP_PleaseWait.Left		  	= (sSP_Panel.Width  - sSP";
mostCurrent._ssp_pleasewait.setLeft((int) ((mostCurrent._ssp_panel.getWidth()-mostCurrent._ssp_pleasewait.getWidth())/(double)2));
 //BA.debugLineNum = 260;BA.debugLine="sSP_Printing.Top		  	= (sSP_Panel.Height - sSP_Pr";
mostCurrent._ssp_printing.setTop((int) ((mostCurrent._ssp_panel.getHeight()-mostCurrent._ssp_printing.getHeight())/(double)2));
 //BA.debugLineNum = 261;BA.debugLine="sSP_Printing.Left		  	= (sSP_Panel.Width  - sSP_P";
mostCurrent._ssp_printing.setLeft((int) ((mostCurrent._ssp_panel.getWidth()-mostCurrent._ssp_printing.getWidth())/(double)2));
 //BA.debugLineNum = 263;BA.debugLine="sSP_CancelButton.Left       = 10dip";
mostCurrent._ssp_cancelbutton.setLeft(anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (10)));
 //BA.debugLineNum = 264;BA.debugLine="sSP_CancelButton.Left       = 0dip";
mostCurrent._ssp_cancelbutton.setLeft(anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (0)));
 //BA.debugLineNum = 265;BA.debugLine="sSP_CancelButton.Top        = (sSP_Panel.Top +";
mostCurrent._ssp_cancelbutton.setTop((int) ((mostCurrent._ssp_panel.getTop()+mostCurrent._ssp_panel.getHeight())-(mostCurrent._ssp_cancelbutton.getHeight()+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (10)))));
 //BA.debugLineNum = 267;BA.debugLine="sSP_BluetoothConnect.Left   = ((sSP_Panel.Left";
mostCurrent._ssp_bluetoothconnect.setLeft((int) (((mostCurrent._ssp_panel.getLeft()+mostCurrent._ssp_panel.getWidth())-mostCurrent._ssp_bluetoothconnect.getWidth())/(double)2));
 //BA.debugLineNum = 268;BA.debugLine="sSP_BluetoothConnect.Top    = (sSP_Panel.Top +";
mostCurrent._ssp_bluetoothconnect.setTop((int) ((mostCurrent._ssp_panel.getTop()+mostCurrent._ssp_panel.getHeight())-(mostCurrent._ssp_bluetoothconnect.getHeight()+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (10)))));
 //BA.debugLineNum = 270;BA.debugLine="sSP_PrintButton.Left        = (sSP_Panel.Left";
mostCurrent._ssp_printbutton.setLeft((int) ((mostCurrent._ssp_panel.getLeft()+mostCurrent._ssp_panel.getWidth())-(mostCurrent._ssp_printbutton.getWidth()+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (25)))));
 //BA.debugLineNum = 271;BA.debugLine="sSP_PrintButton.Top         = (sSP_Panel.Top +";
mostCurrent._ssp_printbutton.setTop((int) ((mostCurrent._ssp_panel.getTop()+mostCurrent._ssp_panel.getHeight())-(mostCurrent._ssp_printbutton.getHeight()+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (10)))));
 //BA.debugLineNum = 273;BA.debugLine="End Sub";
return "";
}
public static String  _vvvvvvvvvvvvv2(String _thisyear) throws Exception{
 //BA.debugLineNum = 289;BA.debugLine="Sub DoFooter(ThisYear As String)";
 //BA.debugLineNum = 290;BA.debugLine="BTPrinter.PCL3.HeaderFooterFont";
mostCurrent._v5._vvvvvvvvvvvv7._vvvv7();
 //BA.debugLineNum = 291;BA.debugLine="BTPrinter.PCL3.CenterStringOut(62, \"Bowling \"";
mostCurrent._v5._vvvvvvvvvvvv7._vv1((int) (62),"Bowling "+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (164)))+" Brackets for Android -  Copyright 2013-"+_thisyear+" (c) - Better Office Business Systems (BOBs)");
 //BA.debugLineNum = 292;BA.debugLine="BTPrinter.PCL3.DrawRectangle(0, BTPrinter.PCL3";
mostCurrent._v5._vvvvvvvvvvvv7._vv3((int) (0),(int) (mostCurrent._v5._vvvvvvvvvvvv7._vvvvvvvvvv7-18),(int) (-1),(int) (18),(int) (1));
 //BA.debugLineNum = 293;BA.debugLine="BTPrinter.PCL3.EjectPaper";
mostCurrent._v5._vvvvvvvvvvvv7._vv4();
 //BA.debugLineNum = 294;BA.debugLine="End Sub";
return "";
}
public static String  _vvvvvvvvvvvvv3(String _todayis,int _pagenumber,String _headerline) throws Exception{
 //BA.debugLineNum = 276;BA.debugLine="Sub DoHeader(TodayIs As String, PageNumber As Int,";
 //BA.debugLineNum = 280;BA.debugLine="BTPrinter.PCL3.HeaderFooterFont";
mostCurrent._v5._vvvvvvvvvvvv7._vvvv7();
 //BA.debugLineNum = 281;BA.debugLine="BTPrinter.PCL3.CenterStringOut(0, \"Bowling \" &";
mostCurrent._v5._vvvvvvvvvvvv7._vv1((int) (0),"Bowling "+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (164)))+" Brackets for Android");
 //BA.debugLineNum = 282;BA.debugLine="BTPrinter.PCL3.MoveCursorTo(1, 1)   :   BTPrin";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvv0((int) (1),(int) (1));
 //BA.debugLineNum = 282;BA.debugLine="BTPrinter.PCL3.MoveCursorTo(1, 1)   :   BTPrin";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvvvvv2((int) (-1),_todayis);
 //BA.debugLineNum = 283;BA.debugLine="BTPrinter.PCL3.CenterStringOut(1, HeaderLine)";
mostCurrent._v5._vvvvvvvvvvvv7._vv1((int) (1),_headerline);
 //BA.debugLineNum = 284;BA.debugLine="BTPrinter.PCL3.RJustStringOut(1, \"Page:\" &Numb";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvvv7((int) (1),"Page:"+anywheresoftware.b4a.keywords.Common.NumberFormat(_pagenumber,(int) (3),(int) (0)));
 //BA.debugLineNum = 285;BA.debugLine="BTPrinter.PCL3.DrawRectangle(0, 0, -1, 26, 1)";
mostCurrent._v5._vvvvvvvvvvvv7._vv3((int) (0),(int) (0),(int) (-1),(int) (26),(int) (1));
 //BA.debugLineNum = 286;BA.debugLine="End Sub";
return "";
}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 10;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 11;BA.debugLine="Dim BTPrinter   As cBTPrinter";
mostCurrent._v5 = new b4a.example.cbtprinter();
 //BA.debugLineNum = 12;BA.debugLine="Dim ToggleLib   As Toggle";
mostCurrent._v6 = new com.rootsoft.togglelibrary.ToggleLibrary();
 //BA.debugLineNum = 14;BA.debugLine="Private sSP_Main_Panel                  As Pan";
mostCurrent._ssp_main_panel = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 15;BA.debugLine="Private sSP_PleaseWait              As Label";
mostCurrent._ssp_pleasewait = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 16;BA.debugLine="Private sSP_Printing                As Label";
mostCurrent._ssp_printing = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 17;BA.debugLine="Private sSP_PressPrint              As Label";
mostCurrent._ssp_pressprint = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 19;BA.debugLine="Private     sSP_Panel                   As Pan";
mostCurrent._ssp_panel = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 20;BA.debugLine="Private         sSP_CancelButton        As But";
mostCurrent._ssp_cancelbutton = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 21;BA.debugLine="Private     	sSP_BluetoothConnect   	As Button";
mostCurrent._ssp_bluetoothconnect = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 22;BA.debugLine="Private     	sSP_PrintButton        	As Button";
mostCurrent._ssp_printbutton = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 24;BA.debugLine="End Sub";
return "";
}
public static String  _vvvvvvvvvvvvv4(boolean _connected) throws Exception{
 //BA.debugLineNum = 58;BA.debugLine="Sub PrinterConnected(Connected As Boolean)";
 //BA.debugLineNum = 60;BA.debugLine="sSP_PleaseWait.Enabled       = False";
mostCurrent._ssp_pleasewait.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 61;BA.debugLine="sSP_PleaseWait.Visible       = False";
mostCurrent._ssp_pleasewait.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 63;BA.debugLine="sSP_Printing.Enabled		 = False";
mostCurrent._ssp_printing.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 64;BA.debugLine="sSP_Printing.Visible		 = False";
mostCurrent._ssp_printing.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 66;BA.debugLine="sSP_PressPrint.Enabled		 = Connected";
mostCurrent._ssp_pressprint.setEnabled(_connected);
 //BA.debugLineNum = 67;BA.debugLine="sSP_PressPrint.Visible		 = Connected";
mostCurrent._ssp_pressprint.setVisible(_connected);
 //BA.debugLineNum = 69;BA.debugLine="sSP_PrintButton.Enabled      = Connected";
mostCurrent._ssp_printbutton.setEnabled(_connected);
 //BA.debugLineNum = 70;BA.debugLine="sSP_PrintButton.Visible      = Connected";
mostCurrent._ssp_printbutton.setVisible(_connected);
 //BA.debugLineNum = 72;BA.debugLine="sSP_BluetoothConnect.Enabled = Not(Connected)";
mostCurrent._ssp_bluetoothconnect.setEnabled(anywheresoftware.b4a.keywords.Common.Not(_connected));
 //BA.debugLineNum = 73;BA.debugLine="sSP_BluetoothConnect.Visible = Not(Connected)";
mostCurrent._ssp_bluetoothconnect.setVisible(anywheresoftware.b4a.keywords.Common.Not(_connected));
 //BA.debugLineNum = 75;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 //BA.debugLineNum = 77;BA.debugLine="If  Connected = False Then";
if (_connected==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 78;BA.debugLine="sSP_PleaseWait.Enabled  = True";
mostCurrent._ssp_pleasewait.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 79;BA.debugLine="sSP_PleaseWait.Visible  = True";
mostCurrent._ssp_pleasewait.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 81;BA.debugLine="sSP_PleaseWait.Text		= \"Press Bluetooth Ico";
mostCurrent._ssp_pleasewait.setText((Object)("Press Bluetooth Icon"+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (10)))+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (10)))+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (9)))+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (9)))+"To connect to printer"));
 //BA.debugLineNum = 83;BA.debugLine="Msgbox(\"Unable to connected to BlueTooth P";
anywheresoftware.b4a.keywords.Common.Msgbox("Unable to connected to BlueTooth Printer"+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (10)))+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (10)))+"Make sure printer is on and ready"+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (10)))+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (9)))+"and press connect to try again.","Unable to connect",mostCurrent.activityBA);
 };
 //BA.debugLineNum = 86;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 6;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 8;BA.debugLine="End Sub";
return "";
}
public static String  _ssp_bluetoothconnect_click() throws Exception{
 //BA.debugLineNum = 108;BA.debugLine="Sub sSP_BluetoothConnect_Click";
 //BA.debugLineNum = 109;BA.debugLine="sSP_BluetoothConnect.Enabled = False";
mostCurrent._ssp_bluetoothconnect.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 111;BA.debugLine="BlueToothConnect";
_vvvvvvvvvvvvv1();
 //BA.debugLineNum = 112;BA.debugLine="End Sub";
return "";
}
public static String  _ssp_cancelbutton_click() throws Exception{
 //BA.debugLineNum = 233;BA.debugLine="Sub sSP_CancelButton_Click";
 //BA.debugLineNum = 234;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 235;BA.debugLine="End Sub";
return "";
}
public static String  _ssp_printbutton_click() throws Exception{
boolean _error = false;
int _pagenumber = 0;
String _todayis = "";
String _thisyear = "";
 //BA.debugLineNum = 115;BA.debugLine="Sub sSP_PrintButton_Click";
 //BA.debugLineNum = 116;BA.debugLine="Dim Error	As Boolean = False";
_error = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 118;BA.debugLine="Dim PageNumber    As Int      = 1";
_pagenumber = (int) (1);
 //BA.debugLineNum = 119;BA.debugLine="Dim TodayIs       As String   = DateTime.Date(";
_todayis = anywheresoftware.b4a.keywords.Common.DateTime.Date(anywheresoftware.b4a.keywords.Common.DateTime.getNow());
 //BA.debugLineNum = 120;BA.debugLine="Dim ThisYear      As String";
_thisyear = "";
 //BA.debugLineNum = 122;BA.debugLine="ThisYear = TodayIs.SubString2(6, 10)";
_thisyear = _todayis.substring((int) (6),(int) (10));
 //BA.debugLineNum = 123;BA.debugLine="TodayIs  = TodayIs.SubString2(0, 6) &TodayIs.S";
_todayis = _todayis.substring((int) (0),(int) (6))+_todayis.substring((int) (8),(int) (10));
 //BA.debugLineNum = 125;BA.debugLine="sSP_PressPrint.Enabled	= False";
mostCurrent._ssp_pressprint.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 126;BA.debugLine="sSP_PressPrint.Visible	= False";
mostCurrent._ssp_pressprint.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 128;BA.debugLine="sSP_Printing.Enabled 	= True";
mostCurrent._ssp_printing.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 129;BA.debugLine="sSP_Printing.Visible 	= True";
mostCurrent._ssp_printing.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 131;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 //BA.debugLineNum = 133;BA.debugLine="Try";
try { //BA.debugLineNum = 134;BA.debugLine="If BTPrinter.StartJob  Then";
if (mostCurrent._v5._vvvvvvvvvvv0()) { 
 //BA.debugLineNum = 135;BA.debugLine="DoHeader(TodayIs, PageNumber, \"Example of";
_vvvvvvvvvvvvv3(_todayis,_pagenumber,"Example of BlueTooth Printing");
 //BA.debugLineNum = 137;BA.debugLine="BTPrinter.PCL3.MoveCursorTo(5, 0)";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvv0((int) (5),(int) (0));
 //BA.debugLineNum = 138;BA.debugLine="BTPrinter.PCL3.BoldTextFont";
mostCurrent._v5._vvvvvvvvvvvv7._v0();
 //BA.debugLineNum = 139;BA.debugLine="BTPrinter.PCL3.WriteLine(0, Chr(171) &\"";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvvvvv3((int) (0),BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (171)))+" Bold Font used for Games Header "+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (187)))+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (13)))+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (10))));
 //BA.debugLineNum = 141;BA.debugLine="BTPrinter.PCL3.BoldTextFixedFont";
mostCurrent._v5._vvvvvvvvvvvv7._v7();
 //BA.debugLineNum = 142;BA.debugLine="BTPrinter.PCL3.WriteLine(10, Chr(171) &";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvvvvv3((int) (10),BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (171)))+" Bold Fixed Font Show Data we want lined up "+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (187)))+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (13)))+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (10))));
 //BA.debugLineNum = 145;BA.debugLine="BTPrinter.PCL3.MoveCursorTo(15, 0)";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvv0((int) (15),(int) (0));
 //BA.debugLineNum = 146;BA.debugLine="BTPrinter.PCL3.NormalTextTeam";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvv0();
 //BA.debugLineNum = 147;BA.debugLine="BTPrinter.PCL3.WriteLine(2, \" Normal Text Fon";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvvvvv3((int) (2)," Normal Text Font used for Teams ");
 //BA.debugLineNum = 149;BA.debugLine="BTPrinter.PCL3.NormalTextPlayers";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvv7();
 //BA.debugLineNum = 150;BA.debugLine="BTPrinter.PCL3.WriteLine(4, \" Normal Te";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvvvvv3((int) (4)," Normal Text Font used for Individual Players ");
 //BA.debugLineNum = 151;BA.debugLine="BTPrinter.PCL3.WriteLine(4, \" Normal Te";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvvvvv3((int) (4)," Normal Text Font used for Individual Players ");
 //BA.debugLineNum = 152;BA.debugLine="BTPrinter.PCL3.WriteLine(4, \" Normal Te";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvvvvv3((int) (4)," Normal Text Font used for Individual Players ");
 //BA.debugLineNum = 153;BA.debugLine="BTPrinter.PCL3.WriteLine(4, \"  \")";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvvvvv3((int) (4),"  ");
 //BA.debugLineNum = 154;BA.debugLine="BTPrinter.PCL3.WriteLine(4, \"  \")";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvvvvv3((int) (4),"  ");
 //BA.debugLineNum = 156;BA.debugLine="BTPrinter.PCL3.NormalTextTeam";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvv0();
 //BA.debugLineNum = 157;BA.debugLine="BTPrinter.PCL3.WriteLine(2, \" Normal Text Fon";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvvvvv3((int) (2)," Normal Text Font used for Teams ");
 //BA.debugLineNum = 159;BA.debugLine="BTPrinter.PCL3.NormalTextPlayers";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvv7();
 //BA.debugLineNum = 160;BA.debugLine="BTPrinter.PCL3.WriteLine(4, \" Normal Te";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvvvvv3((int) (4)," Normal Text Font used for Individual Players ");
 //BA.debugLineNum = 161;BA.debugLine="BTPrinter.PCL3.WriteLine(4, \" Normal Te";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvvvvv3((int) (4)," Normal Text Font used for Individual Players ");
 //BA.debugLineNum = 162;BA.debugLine="BTPrinter.PCL3.WriteLine(4, \" Normal Te";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvvvvv3((int) (4)," Normal Text Font used for Individual Players ");
 //BA.debugLineNum = 163;BA.debugLine="BTPrinter.PCL3.WriteLine(4, \"  \")";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvvvvv3((int) (4),"  ");
 //BA.debugLineNum = 164;BA.debugLine="BTPrinter.PCL3.WriteLine(4, \"  \")";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvvvvv3((int) (4),"  ");
 //BA.debugLineNum = 169;BA.debugLine="BTPrinter.PCL3.MoveCursorTo(15, 0)";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvv0((int) (15),(int) (0));
 //BA.debugLineNum = 170;BA.debugLine="BTPrinter.PCL3.NormalTextTeam";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvv0();
 //BA.debugLineNum = 171;BA.debugLine="BTPrinter.PCL3.WriteLine(100, \" Normal Text F";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvvvvv3((int) (100)," Normal Text Font used for Teams ");
 //BA.debugLineNum = 173;BA.debugLine="BTPrinter.PCL3.NormalTextPlayers";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvv7();
 //BA.debugLineNum = 174;BA.debugLine="BTPrinter.PCL3.WriteLine(122, \" Normal";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvvvvv3((int) (122)," Normal Text Font used for Individual Players ");
 //BA.debugLineNum = 175;BA.debugLine="BTPrinter.PCL3.WriteLine(122, \" Normal";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvvvvv3((int) (122)," Normal Text Font used for Individual Players ");
 //BA.debugLineNum = 176;BA.debugLine="BTPrinter.PCL3.WriteLine(122, \" Normal";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvvvvv3((int) (122)," Normal Text Font used for Individual Players ");
 //BA.debugLineNum = 177;BA.debugLine="BTPrinter.PCL3.WriteLine(122, \"  \")";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvvvvv3((int) (122),"  ");
 //BA.debugLineNum = 178;BA.debugLine="BTPrinter.PCL3.WriteLine(122, \"  \")";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvvvvv3((int) (122),"  ");
 //BA.debugLineNum = 180;BA.debugLine="BTPrinter.PCL3.NormalTextTeam";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvv0();
 //BA.debugLineNum = 181;BA.debugLine="BTPrinter.PCL3.WriteLine(100, \" Normal Text F";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvvvvv3((int) (100)," Normal Text Font used for Teams ");
 //BA.debugLineNum = 183;BA.debugLine="BTPrinter.PCL3.NormalTextPlayers";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvv7();
 //BA.debugLineNum = 184;BA.debugLine="BTPrinter.PCL3.WriteLine(122, \" Normal";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvvvvv3((int) (122)," Normal Text Font used for Individual Players ");
 //BA.debugLineNum = 185;BA.debugLine="BTPrinter.PCL3.WriteLine(122, \" Normal";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvvvvv3((int) (122)," Normal Text Font used for Individual Players ");
 //BA.debugLineNum = 186;BA.debugLine="BTPrinter.PCL3.WriteLine(122, \" Normal";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvvvvv3((int) (122)," Normal Text Font used for Individual Players ");
 //BA.debugLineNum = 187;BA.debugLine="BTPrinter.PCL3.WriteLine(122, \"  \")";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvvvvv3((int) (122),"  ");
 //BA.debugLineNum = 188;BA.debugLine="BTPrinter.PCL3.WriteLine(122, \"  \")";
mostCurrent._v5._vvvvvvvvvvvv7._vvvvvvvvv3((int) (122),"  ");
 //BA.debugLineNum = 191;BA.debugLine="DoFooter(ThisYear)";
_vvvvvvvvvvvvv2(_thisyear);
 //BA.debugLineNum = 193;BA.debugLine="Msgbox(\"Printed!\",\"\")";
anywheresoftware.b4a.keywords.Common.Msgbox("Printed!","",mostCurrent.activityBA);
 };
 } 
       catch (Exception e122) {
			processBA.setLastException(e122); //BA.debugLineNum = 196;BA.debugLine="Log(LastException.Message)";
anywheresoftware.b4a.keywords.Common.Log(anywheresoftware.b4a.keywords.Common.LastException(mostCurrent.activityBA).getMessage());
 //BA.debugLineNum = 198;BA.debugLine="Error = True";
_error = anywheresoftware.b4a.keywords.Common.True;
 };
 //BA.debugLineNum = 202;BA.debugLine="sSP_Printing.Enabled 	= False";
mostCurrent._ssp_printing.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 203;BA.debugLine="sSP_Printing.Visible 	= False";
mostCurrent._ssp_printing.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 205;BA.debugLine="sSP_PressPrint.Enabled	= True";
mostCurrent._ssp_pressprint.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 206;BA.debugLine="sSP_PressPrint.Visible	= True";
mostCurrent._ssp_pressprint.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 208;BA.debugLine="DoEvents";
anywheresoftware.b4a.keywords.Common.DoEvents();
 //BA.debugLineNum = 213;BA.debugLine="If Error Then";
if (_error) { 
 //BA.debugLineNum = 214;BA.debugLine="sSP_PrintButton.Enabled   	= False";
mostCurrent._ssp_printbutton.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 215;BA.debugLine="sSP_PrintButton.Visible   	= False";
mostCurrent._ssp_printbutton.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 217;BA.debugLine="sSP_PressPrint.Enabled		= False";
mostCurrent._ssp_pressprint.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 218;BA.debugLine="sSP_PressPrint.Visible		= False";
mostCurrent._ssp_pressprint.setVisible(anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 220;BA.debugLine="sSP_BluetoothConnect.Enabled = True";
mostCurrent._ssp_bluetoothconnect.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 221;BA.debugLine="sSP_BluetoothConnect.Visible = True";
mostCurrent._ssp_bluetoothconnect.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 223;BA.debugLine="sSP_PleaseWait.Enabled		= True";
mostCurrent._ssp_pleasewait.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 224;BA.debugLine="sSP_PleaseWait.Visible		= True";
mostCurrent._ssp_pleasewait.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 225;BA.debugLine="sSP_PleaseWait.Text			= \"Press Bluetooth Ico";
mostCurrent._ssp_pleasewait.setText((Object)("Press Bluetooth Icon"+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (10)))+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (10)))+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (9)))+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (9)))+"To connect to printer"));
 //BA.debugLineNum = 228;BA.debugLine="Msgbox(\"BlueTooth Printer Connection Error.";
anywheresoftware.b4a.keywords.Common.Msgbox("BlueTooth Printer Connection Error."+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (10)))+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (10)))+"Make sure printer is on and ready"+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (10)))+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (9)))+"and press connect to try again.","BlueTooth Connection Lost",mostCurrent.activityBA);
 //BA.debugLineNum = 229;BA.debugLine="Return";
if (true) return "";
 };
 //BA.debugLineNum = 231;BA.debugLine="End Sub";
return "";
}
}
