﻿Type=Class
Version=5.02
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
'----------------------------------------------------------------------------------
'  I was going to make the cBTPrinter class inherit from this class
'	 but basic or this basic does not (I maybe wrong and just not know how) allow
'    this like C++ does (my background)
'----------------------------------------------------------------------------------
Sub Class_Globals
	Dim mPrinter			As OutputStream
	
	Dim mTMargin   			As Int
	Dim mLMargin   			As Int
	Dim mRMargin   			As Int
	Dim mBMargin   			As Int
	
	Dim mLinesPerInch		As Int
	Dim mLinesPerPage		As Int
	
	Dim mLetterPaper		As Boolean	
	Dim mPortrait			As Boolean
	Dim mSkipPerforation	As Boolean
	
	Dim mBitsWide			As Int
	Dim mBitsHigh			As Int
	
	Dim mMaxCols			As Int
	Dim mResolution			As Int
End Sub

Public Sub Initialize(Printer As OutputStream)

	  mPrinter 			= Printer

	  mLinesPerInch 	= 0
	  mLinesPerPage 	= 0
	  
	  mLMargin  		= 0
	  mRMargin  		= 0
	  mTMargin  		= 0
	  mBMargin  		= 0
	  
	  mPortrait     	= True
	  mSkipPerforation  = False  
	  
	  ResetPrinter	  
	  MarginsClear	  
	  PaperSizeLetter
	  Portrait

	  QualityLetter

	  SkipPerforation(True)
	  
	  LinesPerInch(6)
	  LinesPerPage(66)

	  SetLeftMargin(0)
	  SetRightMargin(80)
	  SetTopMargin(0)
	    	  
	  FontArial
	  
	  GraphicsResolution(300)
	  
	  
	  mBitsWide 	= 2400
	  mBitsHigh 	= 3100
	  
	  'SendESCBytes3("*c", mBitsWide, "A")		' Horz Rect Size
	  'SendESCBytes3("*c", mBitsHigh, "B")		' Vert Rect Size

	  'FontCourier
	  
	  'SendESCBytes("(0N")	  
End Sub

Sub WriteLine(AtColumn As Int, LineOut As String)
	Dim BytesOut() As Byte
	
	If AtColumn <> -1 Then MoveCursorToColumn(AtColumn)
	
	LineOut = LineOut &"  "			' Needs to be at least two characters for the CR / LF below
	
	'BytesOut = LineOut.GetBytes("UTF8")		
	BytesOut = LineOut.GetBytes("WINDOWS-1252")		
	
	BytesOut(LineOut.Length-2) = 13
	BytesOut(LineOut.Length-1) = 10
	
	mPrinter.WriteBytes(BytesOut, 0, LineOut.Length)		
End Sub

Sub Write(AtColumn As Int, LineOut As String)
	Dim BytesOut() As Byte
	
	If AtColumn <> -1 Then MoveCursorToColumn(AtColumn)
	
	LineOut = LineOut &" "
	
	BytesOut = LineOut.GetBytes("WINDOWS-1252")				
	
	mPrinter.WriteBytes(BytesOut, 0, LineOut.Length)		
End Sub

Sub SendESCBytes(ToSend As String) As Boolean
	Dim ToSendBytes()		 As Byte
	Dim i					 As Int
	Dim Offset				 As Int
	Dim BytesOut(100)		 As Byte
	
 	ToSendBytes = ToSend.GetBytes("WINDOWS-1252")			
	
	If (ToSend.Length + 1) > 100 Then Return False
	
	
	BytesOut(0) = 27
	
	Offset = 1
	
	For i = 0 To ToSend.Length - 1
		BytesOut(Offset + i) = ToSendBytes(i)	
	Next
	
	Offset = Offset + i
	
	mPrinter.WriteBytes(BytesOut, 0, Offset)
	
	Return True
End Sub

Sub SendESCBytes3(LeadIn As String, Value As Int, Ending As String) As Boolean
	Dim LeadInBytes()		 As Byte
	Dim EndingBytes() 		 As Byte
	
	Dim ValueBytes(8)        As Byte
	Dim ValueTemp			 As String
	
	Dim i					 As Int
	Dim Offset				 As Int
	
	Dim BytesOut(100)	     As Byte
	
 	LeadInBytes = LeadIn.GetBytes("WINDOWS-1252")			
	EndingBytes = Ending.GetBytes("WINDOWS-1252")		
	
	ValueTemp   = Value
	ValueBytes  = ValueTemp.GetBytes("WINDOWS-1252")		
	
	If (LeadIn.Length + Ending.Length + ValueTemp.Length + 1) > 100 Then Return False

	
	BytesOut(0) = 27
	
	Offset = 1
	
	For i = 0 To LeadIn.Length - 1
		BytesOut(Offset + i) = LeadInBytes(i)	
	Next
	
	Offset = Offset + i
	
	For i = 0 To ValueTemp.Length - 1
		BytesOut(Offset + i) = ValueBytes(i)	
	Next
	
	Offset = Offset + i
	
	For i = 0 To Ending.Length - 1
		BytesOut(Offset + i) = EndingBytes(i)	
	Next
	
	Offset = Offset + i
	
	mPrinter.WriteBytes(BytesOut, 0, Offset)
	
	Return True
End Sub

Sub SendESCBytes4(LeadIn As String, Value As Int, Middle As String, Value2 As Int, Ending As String) As Boolean
	Dim LeadInBytes() 		As Byte
	Dim MiddleBytes() 		As Byte
	Dim EndingBytes() 		As Byte
	
	Dim ValueBytes(8)       As Byte
	Dim ValueTemp			As String
	
	Dim Value2Bytes(8)      As Byte
	Dim Value2Temp			As String
	
	Dim i					As Int
	Dim Offset				As Int
	
	Dim BytesOut(100)		As Byte
	
 	LeadInBytes = LeadIn.GetBytes("WINDOWS-1252")		
	MiddleBytes = Middle.GetBytes("WINDOWS-1252")		
	EndingBytes = Ending.GetBytes("WINDOWS-1252")		
	
	ValueTemp   = Value
	ValueBytes  = ValueTemp.GetBytes("WINDOWS-1252")		
	
	Value2Temp  = Value2
	Value2Bytes = Value2Temp.GetBytes("WINDOWS-1252")		
	
	If (LeadIn.Length + Middle.Length + Ending.Length + ValueTemp.Length + Value2Temp.Length + 1) > 100 Then Return False

	
	BytesOut(0) = 27
	
	Offset = 1
	
	For i = 0 To LeadIn.Length - 1
		BytesOut(Offset + i) = LeadInBytes(i)	
	Next
	
	Offset = Offset + i
	
	For i = 0 To ValueTemp.Length - 1
		BytesOut(Offset + i) = ValueBytes(i)	
	Next
	
	Offset = Offset + i
	
	For i = 0 To Middle.Length - 1
		BytesOut(Offset + i) = MiddleBytes(i)	
	Next

	Offset = Offset + i
	
	For i = 0 To Value2Temp.Length - 1
		BytesOut(Offset + i) = Value2Bytes(i)	
	Next
	
	Offset = Offset + i
	
	For i = 0 To Ending.Length - 1
		BytesOut(Offset + i) = EndingBytes(i)	
	Next
	
	Offset = Offset + i
	
	mPrinter.WriteBytes(BytesOut, 0, Offset)
	
	Return True
End Sub

Sub ResetPrinter
  'SendESCBytes("E")											 
End Sub

Sub EjectPaper
SendESCBytes("&l0H")				 							 
End Sub

Sub QualityDraft						  
SendESCBytes("(s0Q")											 
End Sub
Sub QualityLetter						  
'SendESCBytes("(s2Q")											 
End Sub

Sub LineWeightNormal					  
'SendESCBytes("(s0B")											 
End Sub
Sub LineWeightBold						  
'SendESCBytes("(s3B")											 
End Sub
Sub LineWeightExtraBold					  
SendESCBytes("(s7B")											 
End Sub

Sub FontCourier							  
mMaxCols = 80 : 'SendESCBytes("(s3T")							 
End Sub
Sub FontLetterGothic					  
mMaxCols = 80 : 'SendESCBytes("(s6T")							 
End Sub
Sub FontCGTimes							  
mMaxCols = 80 : 'SendESCBytes("(s4101")						 
End Sub
Sub FontArial							  
mMaxCols = 80 : 'SendESCBytes("(s16602")						 
End Sub  'SendESCBytes("(s1P")
Sub FontUnivers 						  
mMaxCols = 80 : SendESCBytes("(s4148")						 
End Sub

Sub HeaderFooterFont				
'	SendESCBytes("(s0p8v3b1s6T")    ' 7 = script   302 = Symbol
'	SendESCBytes("&k2S") 

'				  (s0p = Fixed spacing
'					  13v = Point Size
'						 2b = Weight
'						   0s = Upright Style  
'							 16602t = Font
'								   2Q = Letter Quality
	SendESCBytes("(s0p13v2b0s16602t1Q")  
	SendESCBytes("&k2S") 
	SendESCBytes("(0N")
 
	mMaxCols = 133
End Sub	

Sub NormalTextFont
	SendESCBytes("&s0C")
	SendESCBytes("(s0p16v0b0s16602t1Q")   
	SendESCBytes("&k0S") 	
	SendESCBytes("(0N")

	mMaxCols = 80
End Sub	

Sub NormalTextTeam
	SendESCBytes("&s0C")
	SendESCBytes("(s1p10v0b0s16602t1Q")   
	SendESCBytes("&k2S") 	
	SendESCBytes("(0N")
        
	mMaxCols = 100
End Sub	

Sub NormalTextPlayers 
	SendESCBytes("&s0C")  
	SendESCBytes("(s1p8v0b0s16602t1Q")   
	SendESCBytes("&k2S") 	
	SendESCBytes("(0N")
  
	mMaxCols = 133
End Sub	


Sub BoldTextFont				
	SendESCBytes("(s1p16v3b0s3tQ")   
	SendESCBytes("&k4S") 	 
	SendESCBytes("(0N")	
	
	mMaxCols = 133
End Sub	

Sub BoldTextFixedFont

'				  (s0p = Fixed spacing
'					  16v = Point Size
'						 2b = Weight
'						   0s = Upright Style  
'							 16602t = Font
'								   2Q = Letter Quality
'	SendESCBytes("(s0p16v3b0s16602t1Q")   
	SendESCBytes("(s0p16v3b0s3t1Q")   	
	SendESCBytes("&k4S") 	
	SendESCBytes("(0N")	
	
	mMaxCols = 133
End Sub	


Sub CenterStringOut(Row As Int, Text As String)
'	Dim TextLength As Float

'	TextLength = mMeasureCanvas.MeasureStringWidth(Text, Typeface.SERIF, 34)
'Log("TL:" &TextLength &"  Text:" &Text)

	If mMaxCols <= 0 Then Return
	
 	MoveCursorTo(Row, (mMaxCols-Text.Length) / 2)
'	MoveCursorTo(Row, (mBitsWide-TextLength) / 2)	
	Write(-1, Text)
End Sub	

Sub RJustStringOut(Row As Int, Text As String)
'	Dim TextLength As Float

	If mMaxCols <= 0 Then Return

'	TextLength = mMeasureCanvas.MeasureStringWidth(Text, Typeface.SERIF, 34)

 	MoveCursorTo(Row, (mMaxCols-Text.Length)-1)
' 	MoveCursorTo(Row, (mBitsWide-TextLength)-1)
	Write(-1, Text)
End Sub

Sub Portrait							:  
mPortrait = True		:	
'SendESCBytes("&l0O")						: 
End Sub
Sub Landscape							:  
mPortrait = False	:	
'SendESCBytes("&l1O")						: 
End Sub

Sub PaperSizeLetter						:  
mLetterPaper = True	:	
'SendESCBytes("&l2A")						: 
End Sub
Sub PaperSizeLegal						:  
mLetterPaper = False	:	
'SendESCBytes("&l3A")						: 
End Sub

Sub LinesPerInch(LPerInch As Int)		:  
mLinesPerInch = LPerInch	:	
'SendESCBytes3("&l", LPerInch, "D")		: 
End Sub

Sub LinesPerPage(LPerPage As Int)		
	mLinesPerPage = LPerPage	
	
	'SendESCBytes3("&l", LPerPage, "P")		
	'SendESCBytes3("&l", LPerPage, "F")			
End Sub

Sub MarginsClear						
	mLMargin = 0
	mRMargin = 0
	mTMargin = 0
	mBMargin = 0
	
    'SendESCBytes("9")							
End Sub

Sub SetLeftMargin(Column As Int)		:  
mLMargin = Column : 
'SendESCBytes3("&a", Column, "L")					: 
End Sub
Sub SetRightMargin(Column As Int)		:  
mRMargin = Column : 
'SendESCBytes3("&a", Column, "M")					: 
End Sub

Sub SetTopMargin(Column As Int)			:  
mTMargin = Column : 
'SendESCBytes3("&l", Column, "E")					: 
End Sub
Sub SetBottomMargin(Column As Int)		:  
mBMargin = Column : 
Return											: 
End Sub

Sub SetMargins(Left As Int, Right As Int, Top As Int, Bottom As Int)
	MarginsClear
	
	SetLeftMargin(Left)
	SetRightMargin(Right)
	SetTopMargin(Top)
	SetBottomMargin(Bottom)

	MoveCursorToRowAbsolute(0)
End Sub

Sub DesignateLinesOnPage(Lines As Int)	:  
SendESCBytes3("&l", Lines, "F")										: 
End Sub

Sub SetTextScale(On As Boolean)	
	If On Then
       SendESCBytes("&k6W")
	Else
       SendESCBytes("&k5W")
	End If
End Sub

Sub SkipPerforation(On As Boolean)  
'	If On Then
'       SendESCBytes("&l1L")
'	Else
'       SendESCBytes("&l0L")	
'	End If
	
	mSkipPerforation = On
End Sub

Sub MoveCursorToColumn(Column As Int)  	:  
'SendESCBytes3("&a", Column, "C")			: 
End Sub

Sub MoveCursorToColumn2(Row As Int, Forward As Boolean) 
	If Forward Then
       SendESCBytes3("&a+", Row, "C")
	Else
	   SendESCBytes3("&a-", Row, "C")	
	End If	   
End Sub

Sub MoveCursorToRowAbsolute(Row As Int) :  
SendESCBytes3("&a", Row, "R")			: 
End Sub   

Sub MoveCursorToRowRelative(Row As Int, Forward As Boolean) 
	If Forward Then
       SendESCBytes3("&a+", Row, "R")
	Else
	   SendESCBytes3("&a-", Row, "R")	
	End If	   
End Sub

Sub MoveCursorDownHalf					:  
SendESCBytes("=")						: 
End Sub

Sub MoveCursorTo(Row As Int, Col As Int) 
'	MoveTo(Row, Col)
	
 	MoveCursorToRowAbsolute(Row)
 	MoveCursorToColumn(Col)
End Sub

Sub MoveTo(Row As Int, Col As Int) 
	SendESCBytes3("*p", Row, "Y")
	SendESCBytes3("*p", Col, "X")
'	SendESCBytes3("&a", Row, "V")
'	SendESCBytes3("&a", Col, "H")	
End Sub


Sub GraphicsPrintDirectionDefault		:  
SendESCBytes("*p0N")						: 
End Sub
Sub GraphicsPrintDirectionBi    		: 
 SendESCBytes("*p1N")						: 
 End Sub
Sub GraphicsPrintDirectionL2R   		:  
SendESCBytes("*p2N")						: 
End Sub
Sub GraphicsPrintDirectionR2L			:  
SendESCBytes("*p3N")						: 
End Sub
Sub GraphicsPrintDirectionSmart			:  
SendESCBytes("*p4N")						: 
End Sub

Sub GraphicsResolution(Resolution As Int)  	
	If Resolution = 75 Or Resolution = 100 Or Resolution = 150 Or Resolution = 300 Or Resolution = 600 Then
	   mResolution = Resolution
	   
	   'SendESCBytes3("*t", Resolution, "R")
	End If
End Sub

Sub GraphicsDraftQuailty				:  
SendESCBytes("*r1Q")						: 
End Sub
Sub GraphicsHighQuailty					:  
SendESCBytes("*r2Q")						: 
End Sub

Sub GraphicsStart(OnLeftSide As Boolean)
	If OnLeftSide Then
	   SendESCBytes("*r0A")					
	Else
	   SendESCBytes("*r1A")						
	End If
End Sub

Sub GraphicsEnd							:	
SendESCBytes("*rC")						: 
End Sub

Sub GraphicsWidth(Width As Int)			:   
SendESCBytes3("*r", Width, "S")			: 
End Sub

Sub GraphicsRelVertMove(MoveAmt As Int)	:   
SendESCBytes3("*b", MoveAmt, "Y")			: 
End Sub
Sub GraphicsRelHorzMove(MoveAmt As Int)	:   
SendESCBytes3("*b", MoveAmt, "X")			: 
End Sub

Sub DrawRectangle(StartAtX As Int, StartAtY As Int, Width As Int, Height As Int, Thickness As Int)
	Dim i      						As Int
	Dim BPos						As Int
	Dim BPosCmdEnd					As Int
	Dim Temp   						As String
	Dim LSide  						As Byte
	Dim RSide  						As Byte
	Dim LenBytes(10)				As Byte
	Dim HThickness					As Int
	Dim ResFactor					As Int
	

	ResFactor  = (mResolution / 75)
	HThickness = ResFactor * Thickness
'	HThickness = Thickness

	SendESCBytes4("*p", StartAtX, "x", StartAtY, "Y")

	If Width = -1 Then Width = mResolution


	Dim Bytes(Width+(HThickness*2)+10)	As Byte
	
	
	GraphicsStart(False)
	
	Height = Height * ResFactor
	LSide  = 0
	RSide  = 0
	
	For i = 0 To 8
		If i >= Thickness Then Exit

		RSide = Bit.ShiftLeft(RSide, 1)	
		RSide = Bit.Or(RSide, 1)
		
		LSide = Bit.ShiftRight(LSide, 1)
		LSide = Bit.Or(LSide, 128)
	Next
	
	'-------------------------------------------------------------
	' RSide and LSide set to the proper thickness for 75dpi
	'       We must increase for each multiple of 75dpi
	'-------------------------------------------------------------
	For i = 0 To HThickness-1
		RSide = Bit.ShiftLeft(RSide, 1)	
		RSide = Bit.Or(RSide, 1)
		
		LSide = Bit.ShiftRight(LSide, 1)
		LSide = Bit.Or(LSide, 128)
	Next	


	Temp 	 = Width
 	LenBytes = Temp.GetBytes("WINDOWS-1252")		

	'---------------------------------------------------------------
	'  Draw Top
	'---------------------------------------------------------------	
	Bytes( 0) = 27			' ESC
	Bytes( 1) = 42			' *
	Bytes( 2) = 98			' b	
	
	BPos = 3
	
	For i = 0 To Temp.Length-1
		Bytes(BPos) = LenBytes(i)
		
		BPos = BPos + 1
	Next
	
	Bytes(BPos) = 87        	' W end of command	
	
	
	BPos 	   = BPos + 1
	BPosCmdEnd = BPos
	
	'----------------------------------------------------
	' Print solid line for the width
	'----------------------------------------------------
	For i = 0 To Width-1
	    Bytes(BPos) = 255 '  Solid Line
		BPos = BPos + 1
	Next
	
	'----------------------------------------------------
	' Need to print the above line as many times
	'      as the Thickness is
	'----------------------------------------------------
	For i = 0 To HThickness-1
		mPrinter.WriteBytes(Bytes, 0, BPos)
	Next
	
	'----------------------------------------------------
	'  Draw Center
	'----------------------------------------------------
	BPos = BPosCmdEnd

	'----------------------------------------------------
	'  Put on the Left Side 
	'----------------------------------------------------
	Bytes(BPos) = LSide	
	BPos = BPos + 1
	
	'----------------------------------------------------
	'  Pad the line to Width minus Thickeness
	'----------------------------------------------------
	For i = 0 To Width-((Thickness*2)+1)	
	    Bytes(BPos) = 0 '  Empty Line
		BPos = BPos + 1
	Next
	
	'----------------------------------------------------
	'  Put on the Right Side
	'----------------------------------------------------
	Bytes(BPos) = RSide
	BPos = BPos + 1
		
	'-------------------------------------------------------------
	'  Now print this line for the Height minus Thickness * 2
	'-------------------------------------------------------------
	For i = 0 To Height-((HThickness*2)+1)
		mPrinter.WriteBytes(Bytes, 0, BPos)
	Next
	
	'-------------------------------------------------------------
	'  Draw bottom
	'-------------------------------------------------------------	
	BPos = BPosCmdEnd
	
	For i = 0 To Width-1
	    Bytes(BPos) = 255 '  Solid Line
		BPos = BPos + 1
	Next	
	
	For i = 0 To HThickness-1
		mPrinter.WriteBytes(Bytes, 0, BPos)
	Next

	GraphicsEnd	
End Sub

#Region  UnUsed_Code
'Sub PrintBytes(B As Byte, LineOut As String, B1 As Byte, B2 As Byte, B3 As Byte, B4 As Byte, Len As Int) 
'	Dim Bytes(Len+5)  As Byte
'	Dim BytesS(Len)   As Byte		
'	Dim i	          As Int
'	
'	BytesS = LineOut.GetBytes("WINDOWS-1252")		
'	
'	Bytes(0) = B
'	
'	For i = 0 To LineOut.Length-1
'		Bytes(i+1) = BytesS(i)
'	Next
'
'	Bytes(i+1) = B1	
'	Bytes(i+2) = B2
'	Bytes(i+3) = B3
'	Bytes(i+4) = B4
'	
'	mPrinter.WriteBytes(Bytes, 0, Len)
'End Sub
#End Region
